Subject: Re: [Lsr] IS-IS Requirements for Area Abstraction (Corrected Alias for ADs)

From: Tony Przygienda <[email-masked]>
Date: Tue, 28 Jan 2020 20:58:00 -0800

please do not co-mingle hierarchical ISIS and flood reduction drafts into
this discussion. Albeit seemingly related the ttz/abstract/flood-reflector
drafts solve a different, valid problem of multiple large operators that
hierachical,flood-reduce cannot solve albeit they can be used @ the same
time. RFC1925 section 5

thanks

--- tony

On Mon, Jan 27, 2020 at 11:42 AM Alvaro Retana <[email-masked]>
wrote:

> FYI…
>
> Because I am one of the co-authors of draft-chen-isis-ttz, I am recusing
> myself from this discussion.  Martin will be the responsible AD for it,
> should one be needed.
>
> Alvaro.
>
> On January 27, 2020 at 1:27:13 PM, Acee Lindem (acee) ([email-masked])
> wrote:
>
> Speaking as WG Co-chair:
>
>
>
> At IETF 107, we had a protracted discussion of several drafts having  goal
> of reducing the amount of link-state information that must be flooded into
> the level-2 area. We have two drafts that do this essentially via
> abstraction of the level-1 areas. These are:
>
>
>
> https://www.ietf.org/id/draft-li-lsr-isis-area-proxy-01.txt
>
> https://www.ietf.org/id/draft-chen-isis-ttz-07.txt
>
>
>
> There are various reasons why these drafts can’t consolidated involving
> both IPR and government restrictions. Refer to
> https://datatracker.ietf.org/meeting/106/materials/minutes-106-lsr-00 for
> the complete discussion.
>
>
>
> We have another draft that also reduces the amount of link-state
> information each IS-IS router must maintain but using IS-IS reflectors.
> This is slightly different but also avoids leaking all the level-1 area
> link-state to the level-2 area.
>
>
>
> https://www.ietf.org/id/draft-przygienda-lsr-flood-reflection-01.txt
>
>
>
> Given the amount of overlap and the conflicts amongst these drafts, the
> chairs/Ads are now asking whether there is a really a strong requirement to
> advance one or more of these documents. Especially given that we are
> already moving forward with both IS-IS/OSPF flooding reductions and the
> Hierarchal IS-IS work. Additionally,  we anticipate we’ll reach an impasse
> in consolidating these drafts. We’d really like to hear from the operators
> that would deploy these mechanisms.
>
>
>
> Thanks,
> Acee and Chris
>
>
>
>
>
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
>

---

From: "Sharma, Alankar" <[email-masked]>
Date: Fri, 31 Jan 2020 05:35:36 +0000

Acee and Chris,
The flood-reflector draft solves a legitimate problem for large networks. This is of high interest.

Thanks,
Alankar

On January 27, 2020 at 1:27:13 PM, Acee Lindem (acee) ([email-masked]<mailto:[email-masked]>)

wrote:

Speaking as WG Co-chair:

There are various reasons why these drafts can't consolidated involving

the complete discussion.

Hierarchal IS-IS work. Additionally,  we anticipate we'll reach an impasse

in consolidating these drafts. We'd really like to hear from the operators

Thanks,

Acee and Chris

  *   [Lsr] IS-IS Requirements for Area Abstraction (...<https://mailarchive.ietf.org/arch/msg/lsr/Dc1YZd6KgKrwx3ooqLcdW3C6qPY>  Acee Lindem (acee)
  *   Re: [Lsr] IS-IS Requirements for Area Abstracti...<https://mailarchive.ietf.org/arch/msg/lsr/jJQ46a8JaoR0zGPXrHFXMDj_l2A>  Alvaro Retana
  *   Re: [Lsr] IS-IS Requirements for Area Abstracti...<https://mailarchive.ietf.org/arch/msg/lsr/_OH-yLPTmp41xpSVxGKqH87iJWU>  Tony Przygienda

---

From: "Lee, Yiu" <[email-masked]>
Date: Fri, 31 Jan 2020 21:34:10 +0000

Dear Acee, Chris and LSR WG,

In the Post Multi-Chassis era, it is more and more common to consider CLOS design for core router (aka De-segregated router). Unlike data center, it requires to run LSR in the “fabric” and dramatically increase the numbers of LSR speakers in the core network. So, the “Fabric” abstraction described in these drafts are important for deployment. We support the WG to work on them.

Best regards,
Yiu

wrote:

Speaking as WG Co-chair:

At IETF 107, we had a protracted discussion of several drafts having  goal of reducing the amount of link-state information that must be flooded into the level-2 area. We have two drafts that do this essentially via abstraction of the level-1 areas. These are:

There are various reasons why these drafts can’t consolidated involving both IPR and government restrictions. Refer to https://datatracker.ietf.org/meeting/106/materials/minutes-106-lsr-00 for the complete discussion.

We have another draft that also reduces the amount of link-state information each IS-IS router must maintain but using IS-IS reflectors. This is slightly different but also avoids leaking all the level-1 area link-state to the level-2 area.

Given the amount of overlap and the conflicts amongst these drafts, the chairs/Ads are now asking whether there is a really a strong requirement to advance one or more of these documents. Especially given that we are already moving forward with both IS-IS/OSPF flooding reductions and the Hierarchal IS-IS work. Additionally,  we anticipate we’ll reach an impasse in consolidating these drafts. We’d really like to hear from the operators that would deploy these mechanisms.

Thanks,

Acee and Chris